await seam.devices.unmanaged.update({
device_id: "66c3adbf-a0e5-403a-8981-ec5286b5da76",
is_managed: true,
});
/*
// void
*/{}Unmanaged Devices
Update an Unmanaged Device
Updates a specified unmanaged device. Reference for PATCH /devices/unmanaged/update in the Seam API, with request and response details.
PATCH
/
devices
/
unmanaged
/
update
await seam.devices.unmanaged.update({
device_id: "66c3adbf-a0e5-403a-8981-ec5286b5da76",
is_managed: true,
});
/*
// void
*/{}Updates a specified unmanaged device. To convert an unmanaged device to managed, set
is_managed to true.
An unmanaged device has a limited set of visible properties and a subset of supported events. You cannot control an unmanaged device. Any access codes on an unmanaged device are unmanaged. To control an unmanaged device with Seam, convert it to a managed device.Authorizations
api_keypat_with_workspaceconsole_session_with_workspace
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
ID of the unmanaged device that you want to update.
Custom metadata that you want to associate with the device. Supports up to 50 JSON key:value pairs, with key names up to 40 characters long that cannot contain a period (.). Set a key to null or to an empty string to remove that key from the custom metadata.
Show child attributes
Show child attributes
Indicates whether the device is managed. Set this parameter to true to convert an unmanaged device to managed.
Available options:
true Response
OK
The response is of type object.
Was this page helpful?